View table information

View the field definitions and row numbers of the table without returning the data rows in the table.

HTTP
POST $CLOUDSIGMA_API_BASE/meta/table/info

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

You can first query the table in the database to confirm the object name.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/meta/table/info" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{\"db_name\":\"$DATABASE\",\"table_name\":\"$TABLE\"}"

Request body

ParameterTypeRequiredDescription
db_namestringRequiredThe name of the database where the table is located.
table_namestringRequiredThe name of the table to be queried.

Successful response

JSON
{
  "code": 200,
  "data": {
    "columns": [{"name": "id", "data_type": "INT", "nullable": "NO", "default_value": "", "key_type": "PRI", "comment": ""}],
    "total": 1,
    "rows": 42
  }
}

The response fields are as follows.

Field

Type

Description

code

integer

200 on success.

data.columns

array

List of column definitions for the table.

data.columns[].name

string

Column name.

data.columns[].data_type

string

Data type.

data.columns[].nullable

string

Whether to allow null values; YES means allowed, NO means not allowed.

data.columns[].default_value

string

Default value; empty string if not set.

data.columns[].key_type

string

Key type.

data.columns[].comment

string

Column remarks.

data.total

integer

Number of columns.

data.rows

integer

The number of rows in the table, the data row itself is not returned.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, data.columns[].name is the name field of each item in the data.columns array.

When you need to view only fields, use View table column list; when you need to view table creation statements, use View table creation statements.

Error response

JSON
{
  "code": 404,
  "message": "对象不存在"
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.

Follow-up operations

View table column list when returning to the list.

Last updated on